package com.th.demo.mapping.system;

import com.th.demo.model.system.SysUserDeptPost;

import com.th.demo.model.system.SysUserDeptPostShow;

import java.util.List;

public interface SysUserDeptPostMapper {
    int deleteByPrimaryKey(String id);

    int insert(SysUserDeptPost record);

    int insertSelective(SysUserDeptPost record);

    SysUserDeptPost selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(SysUserDeptPost record);

    int updateByPrimaryKey(SysUserDeptPost record);

    List<SysUserDeptPostShow> select(String userId);


    List<SysUserDeptPost> selectByUserId(String userId);

    int deleteByUpdate9(SysUserDeptPost udp);
}